using BS.Shared;

namespace BeWo.Data.Entities
{
    public class FamilyData : BeWoEntityBase
    {
        public static string PropertyName_Kindesmutter = "Kindesmutter";

        public static string PropertyName_Kindesvater = "Kindesvater";

        public static string PropertyName_Geschwister = "Geschwister";

        public static string PropertyName_Vormund = "Vormund";


        private string _Kindesmutter;

        private string _Kindesvater;

        private string _Geschwister;

        private string _Vormund;


        public FamilyData()
        {
            _Tid = TableID.FamilyData;
        }


        public virtual string Kindesmutter
        {
            get { return _Kindesmutter; }

            set
            {
                if(AreDifferent(_Kindesmutter, value))
                    _Kindesmutter = value;
            }
        }

        public virtual string Kindesvater
        {
            get { return _Kindesvater; }

            set
            {
                if (AreDifferent(_Kindesvater, value))
                    _Kindesvater = value;
            }
        }

        public virtual string Geschwister
        {
            get { return _Geschwister; }

            set
            {
                if (AreDifferent(_Geschwister, value))
                    _Geschwister = value;
            }
        }

        public virtual string Vormund
        {
            get { return _Vormund; }

            set
            {
                if (AreDifferent(_Vormund, value))
                    _Vormund = value;
            }
        }
    }
}
